package io.nettyx.util.internal.logging;

public class SimpleLogger extends AbstractInternalLogger
{
		protected SimpleLogger(String name)
		{
			super(name);
		}

		private void doLog(String msg)
		{
			System.out.println(System.currentTimeMillis()+" ["+super.name()+"] "+msg);
		}


		
		
		public boolean isTraceEnabled()
		{
			return true;
		}

		
		public void trace(String msg)
		{
			doLog(msg);
		}

		
		public void trace(String format, Object arg)
		{
			doLog(String.format(format, arg));
		}

		
		public void trace(String format, Object argA, Object argB)
		{
			doLog(String.format(format, argA, argB));
		}

		
		public void trace(String format, Object... arguments)
		{
			doLog(String.format(format, arguments));
		}

		
		public void trace(String msg, Throwable t)
		{
			doLog(msg);
			t.printStackTrace();
		}

		
		public boolean isDebugEnabled()
		{
			return true;
		}

		
		public void debug(String msg)
		{
			trace(msg);
		}

		
		public void debug(String format, Object arg)
		{
			trace(format, arg);
		}

		
		public void debug(String format, Object argA, Object argB)
		{
			trace(format, argA, argB);
		}

		
		public void debug(String format, Object... arguments)
		{
			trace(format, arguments);
		}

		
		public void debug(String msg, Throwable t)
		{
			trace(msg, t);
		}

		
		public boolean isInfoEnabled()
		{
			return true;
		}

		
		public void info(String msg)
		{
			trace(msg);
		}

		
		public void info(String format, Object arg)
		{
			trace(format, arg);
		}

		
		public void info(String format, Object argA, Object argB)
		{
			trace(format, argA, argB);
		}

		
		public void info(String format, Object... arguments)
		{
			trace(format, arguments);
		}

		
		public void info(String msg, Throwable t)
		{
			trace(msg, t);
		}

		
		public boolean isWarnEnabled()
		{
			return true;
		}

		
		public void warn(String msg)
		{
			trace(msg);
		}

		
		public void warn(String format, Object arg)
		{
			trace(format, arg);
		}

		
		public void warn(String format, Object... arguments)
		{
			trace(format, arguments);
		}

		
		public void warn(String format, Object argA, Object argB)
		{
			trace(format, argA, argB);
		}

		
		public void warn(String msg, Throwable t)
		{
			trace(msg, t);
		}

		
		public boolean isErrorEnabled()
		{
			return true;
		}

		
		public void error(String msg)
		{
			trace(msg);
		}

		
		public void error(String format, Object arg)
		{
			trace(format, arg);
		}

		
		public void error(String format, Object argA, Object argB)
		{
			trace(format, argA, argB);
		}

		
		public void error(String format, Object... arguments)
		{
			trace(format, arguments);
		}

		
		public void error(String msg, Throwable t)
		{
			trace(msg, t);
		}}
