package org.rzo.yacron4j;


import io.nettyx.util.internal.logging.InternalLogger;
import io.nettyx.util.internal.logging.SimpleLoggerFactory;

import java.util.concurrent.Executors;
import java.util.concurrent.ThreadFactory;

import org.rzo.yacron4j.persist.DummyPersistManager;
import org.rzo.yacron4j.persist.PersistManager;

public class SchedulerOptions implements Cloneable
{
	private ThreadFactory _threadFactory = Executors.defaultThreadFactory();
	private long _tickDuration = 100;
	private int _ticksPerWheel = 512;
	private int _maxThreads = Integer.MAX_VALUE;
	private int _maxQueueSize = Integer.MAX_VALUE;
	private InternalLogger _logger = SimpleLoggerFactory.getInstance("yacron4j-scheduler");
	private boolean _debug = false;
	private PersistManager _persistManager = new DummyPersistManager();

	@Override
	protected Object clone()
	{
		try
		{
			return super.clone();
		}
		catch (CloneNotSupportedException e)
		{
			e.printStackTrace();
		}
		return null;
	}

	public ThreadFactory getThreadFactory()
	{
		return _threadFactory;
	}

	public void setThreadFactory(ThreadFactory threadFactory)
	{
		_threadFactory = threadFactory;
	}

	public long getTickDuration()
	{
		return _tickDuration;
	}

	public void setTickDuration(long tickDuration)
	{
		_tickDuration = tickDuration;
	}

	public int getTicksPerWheel()
	{
		return _ticksPerWheel;
	}

	public void setTicksPerWheel(int ticksPerWheel)
	{
		_ticksPerWheel = ticksPerWheel;
	}

	public int getMaxThreads()
	{
		return _maxThreads;
	}

	public void setMaxThreads(int maxThreads)
	{
		if (maxThreads <= 0)
			throw new RuntimeException("Number of thread must be > 0");
		_maxThreads = maxThreads;
	}

	public int getMaxQueueSize()
	{
		return _maxQueueSize;
	}

	public void setMaxQueueSize(int maxQueueSize)
	{
		_maxQueueSize = maxQueueSize;
	}

	public InternalLogger getLogger()
	{
		return _logger;
	}

	public void setLogger(InternalLogger logger)
	{
		_logger = logger;
	}

	public boolean isDebug()
	{
		return _debug;
	}

	public void setDebug(boolean debug)
	{
		_debug = debug;
	}

	public PersistManager getPersistManager()
	{
		return _persistManager;
	}

	public void setPersistManager(PersistManager persistManager)
	{
		_persistManager = persistManager;
	}

}
