package org.rzo.yacron4j.example;

import java.text.ParseException;
import java.util.Date;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;

import org.rzo.yacron4j.Scheduler;
import org.rzo.yacron4j.TaskOptions;

public class ExceptionResolution
{

	/**
	 * @param args
	 * @throws ParseException
	 */
	public static void main(String[] args) throws Exception
	{
		Scheduler scheduler = new Scheduler();
		String cronExpression = "0/1 * * * * ?";
		TaskOptions options = new TaskOptions();
		options.setExceptionResolution(TaskOptions.EXCEPTION_RETRY); // EXCEPTION_CANCEL
																		// ->
																		// abort
																		// cron,
																		// EXCEPTION_RETRY
																		// ->
																		// execute
																		// again,
																		// EXCEPTION_IGNORE
																		// ->
																		// execute
																		// on
																		// next
																		// schedule
		ScheduledFuture task = scheduler.schedule(new Runnable()
		{

			public void run()
			{
				System.out.println("" + new Date() + " running "
						+ Thread.currentThread().getName());
				throw new RuntimeException("testing");
			}
		}, cronExpression, options);
		System.out.println(new Date(System.currentTimeMillis()
				+ task.getDelay(TimeUnit.MILLISECONDS)));
		Thread.sleep(15000);
		scheduler.shutdown();
	}

}
